Subject: [mpls-tp] R: Re: Linear Ether APS-g8031

From: "[email-masked]" <[email-masked]>
Date: Mon, 27 Dec 2010 19:52:03 +0100 (CET)

The answer is very simple.

The major transport vendors have implemented, in an interopable way, the 
solution described in draft-zulr-mpls-tp-linear-protection-switching-01.txt. 
Large scale deployments are also on-going by major operators worldwide. This is 
what I would implement NOW.

draft-ietf-mpls-tp-linear-protection-03.txt so far is just a draft and I would 
wait for its industry adoption.

>----Messaggio originale----
>Da: [email-masked]
>Data: 27-dic-2010 11.08
>A: "Huub van Helvoort"<[email-masked]>
>Cc: "[email-masked]"<[email-masked]>
>Ogg: Re: [mpls-tp] Linear Ether APS-g8031
>
>Hello Huub,
>
>Should I wait till either one of the following solutions would  become 
matured RFC standard.
>Or this would be vendor option.
>Regards,
>Saravanan.
>
>-----Original Message-----
>From: Huub van Helvoort [mailto:[email-masked]]
>Sent: Monday, December 27, 2010 3:25 PM
>To: Saravanan P
>Cc: [email-masked]
>Subject: Re: [mpls-tp] Linear Ether APS-g8031
>
>Hello Saravanan,
>
>You replied:
>
>> Thanks for this clarification.
>> Can I consider flowing two drafts are different option for implementing APS 
in MPL-TP?
>>
>> 1) Linear Protection Switching in MPLS-TP
>> draft-zulr-mpls-tp-linear-protection-switching-01.txt
>>
>> 2) MPLS-TP Linear Protection
>> draft-ietf-mpls-tp-linear-protection-03.txt
>
>I would like to avoid to have options.
>
>When I started as co-editor of the linear protection draft it was my 
objective to use G.8131 as basis because the protocol described in G.8131 is 
based on experience with that protocol in other packet technologies and TDM.
>
>However, the other editors made several changes to the protocol which made it 
in fact a new -untested- protocol.
>
>That is the reason I resigned as co-editor and support draft-zulr because 
that is still based on G.8131 and has been used in interop tests.
>
>Best regards, Huub.
>
>
>> -----Original Message-----
>> From: Huub van Helvoort [mailto:[email-masked]]
>> Sent: Monday, December 27, 2010 2:37 PM
>> To: Saravanan P
>> Cc: [email-masked]
>> Subject: Re: [mpls-tp] Linear Ether APS-g8031
>>
>> Hello Saravanan,
>>
>> You wrote:
>>
>>> I am implementing Ether APS channel functionality over pseudo
>>> wire/LSP and using BFD for CCM . As per my understanding Liner
>>> protection switching functionality shall be implemented by two
>>> standard
>>> IETF(draft-ietf-mpls-tp-linear-protection) and another one is I-TUT 
(g8031).
>>
>> FYI: G.8031 is the linear protection for Ethernet.
>> G.8131 is linear protection for MPLS-TP, see also
>> http://tools.ietf.org/html/draft-zulr-mpls-tp-linear-protection-switch
>> ing
>> which is based on G.8131.
>>
>>> CCM functionality would be either y.1731 or BFD but EtherAps should
>>> be
>>> g8031 or IETF.
>>
>> The linear protection uses the SF (signal/service fail) as trigger.
>> SF detection can be based on MT-CCM defined in
>> http://tools.ietf.org/html/draft-bhh-mpls-tp-oam-y1731
>> or on extended BFD.
>>
>>> Is this combination work in field and any one foresee
>>> interoperability issue?
>>
>> The MT-CCM and G.8131 combination has been tested several times by EANTC 
and is deployed in China by major operators in many nodes.
>>
>>> I don’t see anywhere in requirement document for g8031 as an APS
>>> option on LSP/PW.
>>
>> As I mentioned above look for G.8131, but you will not find that in any 
requirement document as this is considered a solution of the generic "linear 
protection requirement".
>>
>> Best regards, Huub.
>
>
>--
>*****************************************************************
>                          我爱外点一七三一
>_______________________________________________
>mpls-tp mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mpls-tp
>